<?php
/**
 * DiscountConditionTypePropEnumTest
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\MarketingClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi. Marketing.
 *
 * Маркетинг
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the model.
 */

namespace Ensi\MarketingClient;

use PHPUnit\Framework\TestCase;

/**
 * DiscountConditionTypePropEnumTest Class Doc Comment
 *
 * @category    Class
 * @description Тип ограничения на использование скидки:   * &#x60;minPrice&#x60; - Минимальная стоимость   * &#x60;brands&#x60; - Идентификаторы брендов   * &#x60;categories&#x60; - Идентификаторы категорий   * &#x60;offer&#x60; - Идентификатор оффера   * &#x60;count&#x60; - Количество товара   * &#x60;deliveryMethods&#x60; - Методы доставки   * &#x60;paymentMethods&#x60; - Методы оплаты
 * @package     Ensi\MarketingClient
 * @author      OpenAPI Generator team
 * @link        https://openapi-generator.tech
 */
class DiscountConditionTypePropEnumTest extends TestCase
{

    /**
     * Setup before running any test case
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test "DiscountConditionTypePropEnum"
     */
    public function testDiscountConditionTypePropEnum()
    {
    }
}
